import { EventEmitter, OnInit } from '@angular/core';
import { STChange, STColumn, STComponent } from '@delon/abc';
import { TranslateService } from '@ngx-translate/core';
import { DEF } from '../../../../api';
import { NzMessageService } from 'ng-zorro-antd';
/**
 * user list
 */
export declare class IdentityUserUsersComponent implements OnInit {
    private translateService;
    private actionColumnWidth;
    private nzMessageService;
    currentUser: DEF.Identity.ApplicationUser | null;
    currentUserChange: EventEmitter<DEF.Identity.ApplicationUser | null>;
    st: STComponent;
    loading: boolean;
    stDatas: Array<DEF.Identity.ApplicationUser>;
    stColumns: Array<STColumn>;
    userCreateComponentProp: {
        visible: boolean;
    };
    constructor(translateService: TranslateService, actionColumnWidth: number, nzMessageService: NzMessageService, userColumns: Array<STColumn>);
    ngOnInit(): void;
    fetchUsers(): void;
    handleRefresh(): void;
    openUserCreateComponent(): void;
    handleUserCreateComponentOk(): void;
    handleStChange($event: STChange): void;
}
